Index: include/libvlc_internal.h
===================================================================
--- include/libvlc_internal.h	(revision 16319)
+++ include/libvlc_internal.h	(working copy)
@@ -32,8 +32,10 @@
 #include <vlc/vlc.h>
 
 #ifndef WIN32
+#ifndef XP_MACOSX
 #include <X11/Xlib.h>
 #endif
+#endif
     
 struct libvlc_instance_t
 {
Index: mozilla/support/npmac.cpp
===================================================================
--- mozilla/support/npmac.cpp	(revision 16319)
+++ mozilla/support/npmac.cpp	(working copy)
@@ -94,8 +94,7 @@
 #endif
 
 
-#ifdef XP_MACOSX && !TARGET_RT_MAC_CFM
-
+#if defined(XP_MACOSX) && defined (__POWERPC__) && (!defined(TARGET_RT_MAC_CFM))
 // glue for mapping outgoing Macho function pointers to TVectors
 struct TFPtoTVGlue{
     void* glue[2];
@@ -1156,7 +1155,7 @@
 
     pluginFuncs->version    = (NP_VERSION_MAJOR << 8) + NP_VERSION_MINOR;
     pluginFuncs->size       = sizeof(NPPluginFuncs);
-    pluginFuncs->newp       = Private_New;
+    pluginFuncs->newp       = NewNPP_NewProc(Private_New);
     pluginFuncs->destroy    = NewNPP_DestroyProc(Private_Destroy);
     pluginFuncs->setwindow  = NewNPP_SetWindowProc(Private_SetWindow);
     pluginFuncs->newstream  = NewNPP_NewStreamProc(Private_NewStream);
